| FFmpegKit Android API 6.0

Loading...
Searching...
No Matches
Data Structures | Functions
fftools_objpool.c File Reference

Go to the source code of this file.

## Data Structures
struct | ObjPool

## Functions
ObjPool * | objpool_alloc (ObjPoolCBAlloc cb_alloc, ObjPoolCBReset cb_reset, ObjPoolCBFree cb_free)
void | objpool_free (ObjPool **pop)
int | objpool_get (ObjPool *op, void **obj)
void | objpool_release (ObjPool *op, void **obj)
static void * | alloc_packet (void)
static void * | alloc_frame (void)
static void | reset_packet (void *obj)
static void | reset_frame (void *obj)
static void | free_packet (void **obj)
static void | free_frame (void **obj)
ObjPool * | objpool_alloc_packets (void)
ObjPool * | objpool_alloc_frames (void)

## Function Documentation

## ◆ alloc_frame()

static void * alloc_frame | ( | void |  | ) |
| static

Definition at line 111 of file fftools_objpool.c.

## ◆ alloc_packet()

static void * alloc_packet | ( | void |  | ) |
| static

Definition at line 107 of file fftools_objpool.c.

## ◆ free_frame()

static void free_frame | ( | void ** | obj | ) |
| static

Definition at line 131 of file fftools_objpool.c.

## ◆ free_packet()

static void free_packet | ( | void ** | obj | ) |
| static

Definition at line 125 of file fftools_objpool.c.

## ◆ objpool_alloc()

ObjPool * objpool_alloc | ( | ObjPoolCBAlloc | cb_alloc,
|  | ObjPoolCBReset | cb_reset,
|  | ObjPoolCBFree | cb_free
| ) |  |

Definition at line 53 of file fftools_objpool.c.

## ◆ objpool_alloc_frames()

ObjPool * objpool_alloc_frames | ( | void |  | ) |

Definition at line 142 of file fftools_objpool.c.

## ◆ objpool_alloc_packets()

ObjPool * objpool_alloc_packets | ( | void |  | ) |

Definition at line 138 of file fftools_objpool.c.

## ◆ objpool_free()

void objpool_free | ( | ObjPool ** | pop | ) |

Definition at line 68 of file fftools_objpool.c.

## ◆ objpool_get()

int objpool_get | ( | ObjPool * | op,
|  | void ** | obj
| ) |  |

Definition at line 81 of file fftools_objpool.c.

## ◆ objpool_release()

void objpool_release | ( | ObjPool * | op,
|  | void ** | obj
| ) |  |

Definition at line 92 of file fftools_objpool.c.

## ◆ reset_frame()

static void reset_frame | ( | void * | obj | ) |
| static

Definition at line 120 of file fftools_objpool.c.

## ◆ reset_packet()

static void reset_packet | ( | void * | obj | ) |
| static

Definition at line 116 of file fftools_objpool.c.